# Performing Trades

Carbon DeFi orders are built as an individual concentrated pools of one directional liquidity. Given that, when trading on carbon DeFi, you would need to indicate the orders you would like to use in order to fulfill your trade.

The SDK uses it's trade-matching algorithm to generate trade routes through Carbon DeFi strategies.

#### To Trade

1. Initialize the SDK with the [Constructor](/developer-guides/carbon-defi-sdk/sdk-functions/constructor.md).
2. Sync strategy data by calling [startDataSync](/developer-guides/carbon-defi-sdk/sdk-functions/startdatasync.md).
3. Generate a trade route using [getTradeData](/developer-guides/carbon-defi-sdk/sdk-functions/gettradedata.md).
4. Generate a trade transaction, using either:
   * [composeTradeByTargetTransaction](/developer-guides/carbon-defi-sdk/sdk-functions/composetradebytargettransaction.md)\
     or
   * [composeTradeBySourceTransaction](/developer-guides/carbon-defi-sdk/sdk-functions/composetradebysourcetransaction.md)
5. Sign and submit the unsigned transaction to the blockchain.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk/performing-trades.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
